fop 2.3

## org.apache.fop.events
Class PropertyExceptionFactory

    java.lang.Object
      org.apache.fop.events.PropertyExceptionFactory

    public class PropertyExceptionFactory

extends java.lang.Object

Exception factory for `PropertyException`.

Constructor Summary
`PropertyExceptionFactory()`

Method Summary
`java.lang.Throwable` `createException(Event event)`
`java.lang.Class<PropertyException>` `getExceptionClass()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyExceptionFactory

    public PropertyExceptionFactory()

Method Detail

### createException

    public java.lang.Throwable createException(Event event)

### getExceptionClass

    public java.lang.Class<PropertyException> getExceptionClass()

fop 2.3

Copyright 1999-2018 The Apache Software Foundation. All Rights Reserved.